/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 判断投保城市是否允许投保 POST /api/InsureMarketProduct/CheckInsureCityIsAllow */
export async function checkInsureCityIsAllow(
  body: API.CheckInsureCityIsAllowInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureMarketProduct/CheckInsureCityIsAllow', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增删除保险 POST /api/InsureMarketProduct/CreateOrEditInsureProduct */
export async function createOrEditInsureProduct(
  body: API.CreateOrEditMarketProductInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/InsureMarketProduct/CreateOrEditInsureProduct', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除保险 DELETE /api/InsureMarketProduct/DeleteInsureProduct */
export async function deleteInsureProduct(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsureProductParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureMarketProduct/DeleteInsureProduct', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取市场保险产品配置列表 GET /api/InsureMarketProduct/GetInsureMarketProductSettingList */
export async function getInsureMarketProductSettingList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureMarketProductSettingListParams,
  options?: API.RequestConfig
) {
  return request<API.InsureMarketProductMainInfoDto>(
    '/api/InsureMarketProduct/GetInsureMarketProductSettingList',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取保险产品所有的列表 POST /api/InsureMarketProduct/GetInsureProductAllList */
export async function getInsureProductAllList(
  body: API.GetInsureMarketProductAllInput,
  options?: API.RequestConfig
) {
  return request<API.InsureMarketProductAllDto[]>(
    '/api/InsureMarketProduct/GetInsureProductAllList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 根据ID 获取保险详情 GET /api/InsureMarketProduct/GetInsureProductInfoById */
export async function getInsureProductInfoById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureProductInfoByIdParams,
  options?: API.RequestConfig
) {
  return request<API.InsureMarketProductInfoDto>(
    '/api/InsureMarketProduct/GetInsureProductInfoById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取保险后端列表 POST /api/InsureMarketProduct/GetInsureProductList */
export async function getInsureProductList(
  body: API.GetInsureMarketProductInput,
  options?: API.RequestConfig
) {
  return request<API.InsureMarketProductDtoPageOutput>(
    '/api/InsureMarketProduct/GetInsureProductList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保险的商城列表 POST /api/InsureMarketProduct/GetInsureProductListForFront */
export async function getInsureProductListForFront(
  body: API.GetInsureMarketProductInput,
  options?: API.RequestConfig
) {
  return request<API.InsureMarketProductForFrontDtoPageOutput>(
    '/api/InsureMarketProduct/GetInsureProductListForFront',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取市场产品单价 POST /api/InsureMarketProduct/GetMarketProductPrice */
export async function getMarketProductPrice(
  body: API.GetMarketProductPriceInput,
  options?: API.RequestConfig
) {
  return request<API.GetMarketProductPriceDto>('/api/InsureMarketProduct/GetMarketProductPrice', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取禁止投保城市 POST /api/InsureMarketProduct/GetNoAllowInsureCityList */
export async function getNoAllowInsureCityList(
  body: API.CheckInsureCityIsAllowInput,
  options?: API.RequestConfig
) {
  return request<string[]>('/api/InsureMarketProduct/GetNoAllowInsureCityList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/InsureMarketProduct/GetUserCanAuthProductList */
export async function getUserCanAuthProductList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetUserCanAuthProductListParams,
  options?: API.RequestConfig
) {
  return request<API.GetCanAuthMarkProductOutput>(
    '/api/InsureMarketProduct/GetUserCanAuthProductList',
    {
      method: 'POST',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 产品对客户授权 POST /api/InsureMarketProduct/InsureMarketProductToAuth */
export async function insureMarketProductToAuth(
  body: API.InsureMarketProductToAuthInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureMarketProduct/InsureMarketProductToAuth', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 对保险进行配置 POST /api/InsureMarketProduct/InsureProductServerSetting */
export async function insureProductServerSetting(
  body: API.InsureMarkProductSettingInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureMarketProduct/InsureProductServerSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置保险状态 POST /api/InsureMarketProduct/SetInsureProductStatus */
export async function setInsureProductStatus(
  body: API.SetProductStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureMarketProduct/SetInsureProductStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
